/*
Theme Name: Kiosk
Description: Child theme for Stadtwerke Stuttgart Kiosk
Author: Marius MUeller
Author URI: http://www.marius-mueller.info
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/

/****************** Fonts ******************/

@font-face {
  font-display: swap;
  font-family: 'Frutiger';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/frutiger.woff') format('woff');
}

@font-face {
  font-display: swap;
  font-family: 'Frutiger-Bold';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/frutiger-bold.woff') format('woff');
}

body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}



/*----------------------------------------------------------
#Standard font size
----------------------------------------------------------*/
body, p, li, dt, dd, dl, address, label, pre, code, .nav-tabs .tab-excerpt {
  font-size: 16px !important;
}
.text-lead, .text-lead > *, .nav-tabs .tab-excerpt.text-lead {
  font-size: 20px !important;
}
.module-text-lead, .module-text-lead > *, .module-text-lead p, .module-text-lead li,
.module-text-lead dt, .module-text-lead dd, .module-text-lead dl, .module-text-lead address,
.module-text-lead label, .module-text-lead small, .uncode-wc-module.text-lead pre,
.module-text-lead code {
  font-size: 20px !important;
}
.text-small, .text-small > *, .nav-tabs .tab-excerpt.text-small {
  font-size: 14px !important;
}
.module-text-small, .module-text-small > *, .module-text-small p, .module-text-small li,
.module-text-small dt, .module-text-small dd, .module-text-small dl, .module-text-small address,
.module-text-small label, .module-text-small small, .uncode-wc-module.text-small pre,
.module-text-small code {
  font-size: 14px !important;
}

/*----------------------------------------------------------
# h1
----------------------------------------------------------*/
h1:not([class*="fontsize-"]), .h1:not([class*="fontsize-"]) {
  font-size: 34px !important;
  line-height: 1.25 !important;
}
/*----------------------------------------------------------
# h2
----------------------------------------------------------*/
h2:not([class*="fontsize-"]), .h2:not([class*="fontsize-"]) {
  font-size: 30px !important;
}
/*----------------------------------------------------------
# h3
----------------------------------------------------------*/
h3:not([class*="fontsize-"]), .h3:not([class*="fontsize-"]) {
  font-size: 24px !important;
}
/*----------------------------------------------------------
# h4
----------------------------------------------------------*/
h4:not([class*="fontsize-"]), .h4:not([class*="fontsize-"]) {
  font-size: 20px !important;
}
/*----------------------------------------------------------
# h5
----------------------------------------------------------*/
h5:not([class*="fontsize-"]), .h5:not([class*="fontsize-"]) {
  font-size: 18px !important;
}
/*----------------------------------------------------------
# h6
----------------------------------------------------------*/
h6:not([class*="fontsize-"]), .h6:not([class*="fontsize-"]) {
  font-size: 16px !important;
}
/*----------------------------------------------------------
# fontsize-911589 Headline L
----------------------------------------------------------*/
.fontsize-911589 { font-size: 40px !important; line-height: 1.1 !important;}

/*----------------------------------------------------------
# fontsize-327196 Headline XL
----------------------------------------------------------*/
.fontsize-327196 { font-size: 44px !important; line-height: 1.1 !important;}

/*----------------------------------------------------------
# fontsize-206514 Headline XXL
----------------------------------------------------------*/
.fontsize-206514 { font-size: 48px !important; line-height: 1.1 !important;}


.text-lead, .text-lead:not(ul):not(ol) > * {
	line-height: 1.45;
}

.container-full-height{
	height: 100vh;
}


/****************** Main Navigation ******************/

@media (max-width: 959px) {
    body.menu-mobile-borders .menu-wrapper .row-menu .row-menu-inner, body.menu-mobile-borders .menu-container .row-brand {
        border-bottom: 0px solid transparent;
    }
    
    body.menu-mobile-borders .menu-light .row-brand,
    body.menu-mobile-borders .menu-light .row-menu .row-menu-inner {
        position: relative;
    }

    body.menu-mobile-borders .menu-light .row-brand::after,
    body.menu-mobile-borders .menu-light .row-menu .row-menu-inner::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 4px; /* Dicke der "Border" */
        background: linear-gradient(to right, #00BFF3, #7AC943, #FFF200);
    }
}



/****************** Headings ******************/

/* Heading Badge Style */
.el-text .badge-style {
	padding: 0.3em 1.6em;
}

.badge-full-with p{
	width: 100%
}


/****************** List Element ******************/

.uncode-list li{
  line-height: 2.2;
}



/****************** Buttons ******************/
.btn-container .btn-color-xsdn{
  color: #00ACE9 !important;
}




/****************** Icon Box ******************/
/* .icon-box-left .icon-box-icon, .icon-box-right .icon-box-icon, .icon-box-left .icon-box-content, .icon-box-right .icon-box-content {
	vertical-align: middle;
} */

.icon-box-content a.btn{
	margin-top: 16px;
	font-size: 18px;
}





/****************** Yellow Badge ******************/

.position-badge{
  position: absolute !important;
  left: 16px;
  top: -64px;
  z-index: 999999;
}

.badge {
  width: 128px;
  height: 128px;
  background-color: #ffe900;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  font-size: 12px;
  font-family: 'Frutiger-Bold';
  font-style: normal;
  font-weight: 700;
  border-radius: 50%;
  transform: rotate(-8deg);
}



/****************** Image Text Combo mit Verlauf ******************/

.image-text-combo-content .uncoltable{margin-top: 16px;}



/****************** Video Play Button ******************/
.mejs-overlay-button {
    background-color: #00ACE9 !important;
    opacity: 1.0;
    transition: opacity 0.4s;
    
    position: absolute;
    top: 50%;
    left: 50%;
    width: 60px;
    height: 60px;
    margin: -30px 0 0 -30px !important;
    font-size: 35px;
    border: 3px solid white;
    color: white !important;
    border-radius: 50%;
    background-clip: padding-box;
    line-height: 53px;
    text-indent: 17px;
    opacity: 1.0;
    transition: opacity 0.4s;
}



/****************** Startseite ******************/

@keyframes slide-line {
  0% {
    background-position: 0% 0%;
  }
  100% {
    background-position: 200% 0%;
  }
}

@keyframes pulse-point {
  0%, 100% {
    transform: scale(1);
    opacity: 1;
  }
  50% {
    transform: scale(1.3);
    opacity: 0.9;
  }
}

.owl-stage {
  position: relative;
}

.helden-linie-svg-bg {
  position: absolute;
  height: 2px;
  /* background: linear-gradient(90deg, #00ACE9, #009B43, #00ACE9); */
  background: #D0D8DB;
  background-size: 200% 100%;
  animation: slide-line 12s ease-in-out infinite;
  z-index: 1;
  left: 0;
  width: 100%;
  bottom: 38px;
}

.helden-svg-point {
  position: absolute;
  bottom: 34px;
  left: 41%;
  transform: translateX(-50%);
  width:9px;
  height: 9px;
  border-radius: 50%;
  background-color: transparent;
  z-index: 2;
}

.helden-svg-point svg{
  display: none;
}

.helden-svg-point::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 50%;
  /* background: linear-gradient(135deg, #00ACE9, #009B43, #00ACE9); */
  background: #00ACE9;
  background-size: 300% 100%;
  animation: slide-line 12s ease-in-out infinite, pulse-point 2.5s ease-in-out infinite;
  box-shadow: 0 0 0 8px white;
}

/* .helden-slider-startseite .t-entry-title a{
  color: #00ACE9 !important;
} */






/****************** Fluent Forms ******************/

/*** Generelles layout ***/

.vff ul.f-radios {
	padding: 0 !important;
	list-style-type: none !important;
}




/*** Footer ***/
.ff_conv_app_3 .vff-footer .f-progress-bar-inner {
    background-color: #009B43 !important;
}

/* Submit Button */
.ff_conv_app_3 .q-inner .o-btn-action, .ff_conv_app_3 .footer-inner-wrap .f-nav{
    background-color: #ffffff !important;
}

.vff .ff-btn-lg {
  border-radius: 99px;
  font-size: 20px;
  line-height: 1.5;
  padding: 8px 16px;
  
  font-size: 18px !important;
  padding: 19px 47px !important;
  border-radius: 10em !important;
  
  display: inline-block !important;
  font-style: normal !important;
  text-align: center !important;
  vertical-align: middle !important;
  cursor: pointer !important;
  background-image: none !important;
  border-style: solid !important;
  white-space: pre-wrap !important;

  
  
}
.f-enter-desc{display: none !important;}


.ff_conv_app_3 .q-inner .o-btn-action span, .ff_conv_app_3 .footer-inner-wrap .f-nav a {
    color: #00ACE9 !important;
}

/* Page Navigation */
.ff_conv_app_3 .footer-inner-wrap .f-nav a svg {
    fill: #00ACE9 !important;
}




/****************** Footer ******************/
footer {
  position: relative; /* notwendig für das ::after */
}

footer::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 8px; /* Dicke der Linie */
  background: linear-gradient(to right, #00BFF3, #7AC943, #FFF200);
}